import Foundation

struct CVInfo {

    let language: String

    let top: TopInfo

    let work: Titled<CareerStation>

    let education: Titled<CareerStation>

    let publications: Titled<Publication>

    let skills: Titled<SkillsSet>

    let about: Titled<String>

    let footer: String
}

extension CVInfo: Identifiable {

    var id: String {
        language
    }
}

extension CVInfo: Equatable {

    static func == (lhs: CVInfo, rhs: CVInfo) -> Bool {
        lhs.language == rhs.language
    }

}

extension CVInfo: Hashable {

    func hash(into hasher: inout Hasher) {
        hasher.combine(language)
    }
}

extension CVInfo: Codable {

}
